curl --request GET \
--url https://api.apitwitter.com/twitter/user/{userName}/replies \
--header 'X-API-Key: <api-key>'{
"data": {
"tweets": [
{
"id": "2035115386710925518",
"text": "LIVE: After the X-59's successful second flight, NASA experts discuss our plans for upcoming tests of the experimental quiet supersonic aircraft.",
"created_at": "Fri Mar 20 22:04:53 +0000 2026",
"author": {
"id": "11348282",
"userName": "NASA",
"name": "NASA",
"screen_name": "NASA",
"followers_count": 90024457,
"friends_count": 116,
"statuses_count": 73493,
"favourites_count": 16551,
"listed_count": 96550,
"description": "Official NASA account. Exploring the universe, advancing science, and inspiring the next generation of explorers.",
"location": "",
"profile_image_url_https": "",
"profile_image_url": "",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/11348282/1718393721",
"verified": false,
"is_blue_verified": true,
"created_at": "",
"can_dm": false
},
"likeCount": 1511,
"retweetCount": 300,
"replyCount": 129,
"viewCount": null,
"isRetweet": false,
"isReply": false,
"media": []
}
],
"has_next_page": true,
"next_cursor": "DAABCgABHC..."
}
}GET paginated replies from a Twitter user via ApiTwitter pool. Retrieve reply tweets with cursor pagination. No cookies needed.
curl --request GET \
--url https://api.apitwitter.com/twitter/user/{userName}/replies \
--header 'X-API-Key: <api-key>'{
"data": {
"tweets": [
{
"id": "2035115386710925518",
"text": "LIVE: After the X-59's successful second flight, NASA experts discuss our plans for upcoming tests of the experimental quiet supersonic aircraft.",
"created_at": "Fri Mar 20 22:04:53 +0000 2026",
"author": {
"id": "11348282",
"userName": "NASA",
"name": "NASA",
"screen_name": "NASA",
"followers_count": 90024457,
"friends_count": 116,
"statuses_count": 73493,
"favourites_count": 16551,
"listed_count": 96550,
"description": "Official NASA account. Exploring the universe, advancing science, and inspiring the next generation of explorers.",
"location": "",
"profile_image_url_https": "",
"profile_image_url": "",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/11348282/1718393721",
"verified": false,
"is_blue_verified": true,
"created_at": "",
"can_dm": false
},
"likeCount": 1511,
"retweetCount": 300,
"replyCount": 129,
"viewCount": null,
"isRetweet": false,
"isReply": false,
"media": []
}
],
"has_next_page": true,
"next_cursor": "DAABCgABHC..."
}
}count and cursor query parameters for pagination.Your API key
Twitter screen name
Number of results (default: 20)
Pagination cursor